﻿//-------------------------------------------------------------
//- Copyright (C) 2017-2018 gamevanilla. All rights reserved. -
//-------------------------------------------------------------

using UnityEngine;
using UnityEngine.Assertions;

using TMPro;

namespace CCG
{
	public class CreatureCardView : MonoBehaviour
	{
		public CreatureCardModel CardModel;

		[SerializeField]
		private TextMeshPro manaText;
		[SerializeField]
		private TextMeshPro nameText;
		[SerializeField]
		private TextMeshPro bodyText;
		[SerializeField]
		private TextMeshPro attackText;
		[SerializeField]
		private TextMeshPro hpText;
		[SerializeField]
		private SpriteRenderer picture;

		private void Awake()
		{
			Assert.IsNotNull(CardModel);
			Assert.IsNotNull(manaText);
			Assert.IsNotNull(nameText);
			Assert.IsNotNull(bodyText);
			Assert.IsNotNull(attackText);
			Assert.IsNotNull(hpText);
			Assert.IsNotNull(picture);
		}

		private void Start()
		{
			manaText.text = CardModel.Cost.ToString();
			nameText.text = CardModel.Name;
			bodyText.text = CardModel.Text;
			attackText.text = CardModel.Attack.ToString();
			hpText.text = CardModel.Hp.ToString();
			picture.sprite = CardModel.Picture;
		}
	}
}
