﻿//-------------------------------------------------------------
//- Copyright (C) 2017-2018 gamevanilla. All rights reserved. -
//-------------------------------------------------------------

using UnityEngine;
using UnityEngine.Assertions;
using UnityEngine.Networking;

namespace CCG
{
    public class Player : NetworkBehaviour
    {
        private NetworkClient client;

        public override void OnStartLocalPlayer()
        {
            client = NetworkManager.singleton.client;
            client.RegisterHandler(NetworkProtocol.BeginTurn, OnBeganTurn);
            client.RegisterHandler(NetworkProtocol.EndTurn, OnEndedTurn);

            RegisterInGame();
        }

        private void RegisterInGame()
        {
            var msg = new NetworkProtocol.RegisterPlayerInGameMessage();
            msg.Nickname = "Unnamed Player";
            client.Send(NetworkProtocol.RegisterPlayerInGame, msg);
        }

        private void OnBeganTurn(NetworkMessage netMsg)
        {
            var msg = netMsg.ReadMessage<NetworkProtocol.BeginTurnMessage>();
            Assert.IsNotNull(msg);
            Debug.Log("Begin turn: " + msg.ActivePlayer);
        }

        private void OnEndedTurn(NetworkMessage netMsg)
        {
            var msg = netMsg.ReadMessage<NetworkProtocol.EndTurnMessage>();
            Assert.IsNotNull(msg);
            Debug.Log("End turn: " + msg.ActivePlayer);
        }
    }
}
