﻿//-------------------------------------------------------------
//- Copyright (C) 2017-2018 gamevanilla. All rights reserved. -
//-------------------------------------------------------------

using UnityEngine;
using UnityEngine.Assertions;

using TMPro;

namespace CCG
{
	public class SpellCardView : MonoBehaviour
	{
		public SpellCardModel CardModel;

		[SerializeField]
		private TextMeshPro manaText;
		[SerializeField]
		private TextMeshPro nameText;
		[SerializeField]
		private TextMeshPro bodyText;
		[SerializeField]
		private SpriteRenderer picture;

		private void Awake()
		{
			Assert.IsNotNull(CardModel);
			Assert.IsNotNull(manaText);
			Assert.IsNotNull(nameText);
			Assert.IsNotNull(bodyText);
			Assert.IsNotNull(picture);
		}

		private void Start()
		{
			manaText.text = CardModel.Cost.ToString();
			nameText.text = CardModel.Name;
			bodyText.text = CardModel.Text;
			picture.sprite = CardModel.Picture;
		}
	}
}
